---
updatedAt: 2026-05-07T13:33:59.000Z
agentTools:
  projectIndex: https://docs.umbrellacost.io/llms.txt
---

# Update Channel

curl --location --request PUT '[https://api.umbrellacost.io/api/v2/channels?updateAuthData=true'](https://api.umbrellacost.io/api/v2/channels?updateAuthData=true')  
\--header 'content-type: application/json'  
\--header 'apikey: {{apikey}}'  
\--header 'authorization: {{authorization-token}}'  
\--data-raw '{  
"channelData": {  
"channelType": "JIRA_CLOUD",  
"channelId": "12341b4a-3d76-4a2a-bc9b-59085ddeef94",  
"connectionData": {  
"type": "JIRA_CLOUD",  
"userName": "[test@umbrellacost.com](https://mailto:test@umbrellacost.com)",  
"baseUrl": "[https://test.atlassian.net"](https://test.atlassian.net")  
},  
"authData": {  
"type": "JIRA_CLOUD",  
"authToken": "XXXXXXXXxFfGF00cmnNqc96a-3e5IolSKgZLg3z6vfwj_Aftq7ZOgP0bKExTDPK8pthPyeD904weedvW9XVKSjor9x3yw8qzi9tfdeAxiIY04OvGLpgKYQfmnxRiqzpKTDFvhEFSb5IkY_LWNGtuV6cFZ35GDZImD6C5OLMMsHrlPJmzpqA4-erzU=A4CA45DD"  
},  
"name":"TestPublic1122_Updating"  
}  
}'

Update channel is currently available to update JIRA credentials.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Channels",
    "version": "1.0.0"
  },
  "servers": [
    {
      "url": "https://api.umbrellacost.io"
    }
  ],
  "paths": {
    "/api/v2/channels": {
      "put": {
        "tags": [
          "default"
        ],
        "summary": "Update Channel",
        "description": "curl --location --request PUT '[https://api.umbrellacost.io/api/v2/channels?updateAuthData=true'](https://api.umbrellacost.io/api/v2/channels?updateAuthData=true')  \n\\--header 'content-type: application/json'  \n\\--header 'apikey: {{apikey}}'  \n\\--header 'authorization: {{authorization-token}}'  \n\\--data-raw '{  \n\"channelData\": {  \n\"channelType\": \"JIRA_CLOUD\",  \n\"channelId\": \"12341b4a-3d76-4a2a-bc9b-59085ddeef94\",  \n\"connectionData\": {  \n\"type\": \"JIRA_CLOUD\",  \n\"userName\": \"[test@umbrellacost.com](https://mailto:test@umbrellacost.com)\",  \n\"baseUrl\": \"[https://test.atlassian.net\"](https://test.atlassian.net\")  \n},  \n\"authData\": {  \n\"type\": \"JIRA_CLOUD\",  \n\"authToken\": \"XXXXXXXXxFfGF00cmnNqc96a-3e5IolSKgZLg3z6vfwj_Aftq7ZOgP0bKExTDPK8pthPyeD904weedvW9XVKSjor9x3yw8qzi9tfdeAxiIY04OvGLpgKYQfmnxRiqzpKTDFvhEFSb5IkY_LWNGtuV6cFZ35GDZImD6C5OLMMsHrlPJmzpqA4-erzU=A4CA45DD\"  \n},  \n\"name\":\"TestPublic1122_Updating\"  \n}  \n}'",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "example": {
                  "channelData": {
                    "channelType": "JIRA_CLOUD",
                    "channelId": "12341b4a-3d76-4a2a-bc9b-59085ddeef94",
                    "connectionData": {
                      "type": "JIRA_CLOUD",
                      "userName": "test@umbrellacost.com",
                      "baseUrl": "https://test.atlassian.net"
                    },
                    "authData": {
                      "type": "JIRA_CLOUD",
                      "authToken": "XXXXXXXXxFfGF00cmnNqc96a-3e5IolSKgZLg3z6vfwj_Aftq7ZOgP0bKExTDPK8pthPyeD904weedvW9XVKSjor9x3yw8qzi9tfdeAxiIY04OvGLpgKYQfmnxRiqzpKTDFvhEFSb5IkY_LWNGtuV6cFZ35GDZImD6C5OLMMsHrlPJmzpqA4-erzU=A4CA45DD"
                    },
                    "name": "TestPublic1122_Updating"
                  }
                }
              }
            }
          }
        },
        "parameters": [
          {
            "name": "apikey",
            "in": "header",
            "schema": {
              "type": "string"
            },
            "example": "82f99b85-e85a-436e-a8eb-d4ed989b9456:21:0",
            "required": true
          },
          {
            "name": "authorization",
            "in": "header",
            "schema": {
              "type": "string"
            },
            "example": "{{authorization-token}}",
            "required": true
          },
          {
            "name": "updateAuthData",
            "in": "query",
            "schema": {
              "type": "boolean"
            },
            "example": "true",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {}
            }
          }
        },
        "x-readme": {
          "code-samples": [
            {
              "code": "curl --location --request PUT 'https://api.umbrellacost.io/api/v2/channels?updateAuthData=true' \\\n--header 'content-type: application/json' \\\n--header 'apikey: {{apikey}}' \\\n--header 'authorization: {{authorization-token}}' \\\n--data-raw '{\n    \"channelData\": {\n        \"channelType\": \"JIRA_CLOUD\",\n        \"channelId\": \"12341b4a-3d76-4a2a-bc9b-59085ddeef94\",\n        \"connectionData\": {\n            \"type\": \"JIRA_CLOUD\",\n            \"userName\": \"test@umbrellacost.com\",\n            \"baseUrl\": \"https://test.atlassian.net\"\n        },\n        \"authData\": {\n            \"type\": \"JIRA_CLOUD\",\n            \"authToken\": \"XXXXXXXXxFfGF00cmnNqc96a-3e5IolSKgZLg3z6vfwj_Aftq7ZOgP0bKExTDPK8pthPyeD904weedvW9XVKSjor9x3yw8qzi9tfdeAxiIY04OvGLpgKYQfmnxRiqzpKTDFvhEFSb5IkY_LWNGtuV6cFZ35GDZImD6C5OLMMsHrlPJmzpqA4-erzU=A4CA45DD\"\n        },\n        \"name\":\"TestPublic1122_Updating\"\n    }\n}'",
              "language": "shell",
              "name": ""
            }
          ],
          "samples-languages": [
            "shell"
          ]
        }
      }
    }
  },
  "x-readme": {
    "explorer-enabled": false
  }
}
```